import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { SafeUrl } from '@angular/platform-browser';
import { NgxImageZoomService } from './ngx-image-zoom.service';
import * as i0 from "@angular/core";
export interface Coord {
    x: number;
    y: number;
}
export declare class NgxImageZoomComponent implements OnInit, OnChanges, OnDestroy {
    zoomService: NgxImageZoomService;
    private renderer;
    private static readonly validZoomModes;
    zoomContainer: ElementRef;
    imageThumbnail: ElementRef;
    fullSizeImage: ElementRef;
    zoomScroll: EventEmitter<number>;
    zoomPosition: EventEmitter<Coord>;
    imagesLoaded: EventEmitter<boolean>;
    thumbImage?: string | SafeUrl | null;
    fullImage?: string | SafeUrl | null;
    lensBorderRadius: number;
    private zoomMode;
    private enableScrollZoom;
    private scrollStepSize;
    private circularLens;
    private thumbImageLoaded;
    private zoomInstance;
    private subscriptions;
    private eventListeners;
    private zoomModesMap;
    constructor(zoomService: NgxImageZoomService, renderer: Renderer2);
    set setThumbImage(thumbImage: string | SafeUrl | null);
    set setFullImage(fullImage: string | SafeUrl | null);
    set setZoomMode(zoomMode: string);
    set setMagnification(magnification: number);
    set setMinZoomRatio(minZoomRatio: number);
    set setMaxZoomRatio(maxZoomRatio: number);
    set setScrollStepSize(stepSize: number);
    set setEnableLens(enable: boolean);
    set setLensWidth(width: number);
    set setLensHeight(height: number);
    set setCircularLens(enable: boolean);
    set setEnableScrollZoom(enable: boolean);
    altText: string;
    titleText: string;
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private registerServiceSubscriptions;
    private loadZoomMode;
    private registerEventListeners;
    /**
     * Template helper methods
     */
    onThumbImageLoaded(): void;
    onFullImageLoaded(): void;
    private calculateLensBorder;
    private checkImagesLoaded;
    private setIsReady;
    /**
     * Mouse wheel event
     */
    private onMouseWheel;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxImageZoomComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxImageZoomComponent, "lib-ngx-image-zoom", never, { "setThumbImage": "thumbImage"; "setFullImage": "fullImage"; "setZoomMode": "zoomMode"; "setMagnification": "magnification"; "setMinZoomRatio": "minZoomRatio"; "setMaxZoomRatio": "maxZoomRatio"; "setScrollStepSize": "scrollStepSize"; "setEnableLens": "enableLens"; "setLensWidth": "lensWidth"; "setLensHeight": "lensHeight"; "setCircularLens": "circularLens"; "setEnableScrollZoom": "enableScrollZoom"; "altText": "altText"; "titleText": "titleText"; }, { "zoomScroll": "zoomScroll"; "zoomPosition": "zoomPosition"; "imagesLoaded": "imagesLoaded"; }, never, never, false, never>;
}
