import { ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Coord } from './ngx-image-zoom.component';
import * as i0 from "@angular/core";
export declare class NgxImageZoomService {
    private changeDetectorRef;
    zoomDisplay: string;
    thumbWidth: number;
    thumbHeight: number;
    fullImageTop: number;
    fullImageLeft: number;
    lensWidth: number;
    lensHeight: number;
    lensTop: number;
    lensLeft: number;
    magnifiedWidth: number;
    magnifiedHeight: number;
    zoomPosition: BehaviorSubject<Coord>;
    zoomingEnabled: boolean;
    isReady: boolean;
    enableLens: boolean;
    baseRatio?: number;
    minZoomRatio: number;
    maxZoomRatio: number;
    magnification: number;
    fullImageLoaded: boolean;
    fullWidth: number;
    fullHeight: number;
    private xRatio;
    private yRatio;
    private latestMouseLeft;
    private latestMouseTop;
    constructor(changeDetectorRef: ChangeDetectorRef);
    zoomOn(event: MouseEvent): void;
    zoomOff(): void;
    markForCheck(): void;
    calculateRatioAndOffset(): void;
    calculateRatio(): void;
    calculateZoomPosition(event: MouseEvent): void;
    calculateImageAndLensPosition(): void;
    private setZoomPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxImageZoomService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxImageZoomService>;
}
